summaryrefslogtreecommitdiffstats
path: root/git/share
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-08-28 04:43:24 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-08-28 09:20:08 +0000
commitff14e9779518c60d9fe2321945a17fdd39a6e2ff (patch)
tree34b8d48ec068f0373d52536b5bb1d265c8e7469e /git/share
parentAdding dehydrated tools. (diff)
downloadservice-tools-ff14e9779518c60d9fe2321945a17fdd39a6e2ff.tar.xz
service-tools-ff14e9779518c60d9fe2321945a17fdd39a6e2ff.zip
Adding git tools.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'git/share')
-rwxr-xr-xgit/share/hooks/post-update.d/cgit-agefile8
-rwxr-xr-xgit/share/hooks/post-update.d/git-update-server-info5
-rwxr-xr-xgit/share/hooks/post-update.d/irker-notification15
3 files changed, 28 insertions, 0 deletions
diff --git a/git/share/hooks/post-update.d/cgit-agefile b/git/share/hooks/post-update.d/cgit-agefile
new file mode 100755
index 0000000..cf95745
--- /dev/null
+++ b/git/share/hooks/post-update.d/cgit-agefile
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+agefile="$(git rev-parse --git-dir)"/info/web/last-modified
+
+mkdir -p "$(dirname "$agefile")"
+git for-each-ref --sort=-authordate --count=1 --format='%(authordate:iso8601)' >"$agefile"
diff --git a/git/share/hooks/post-update.d/git-update-server-info b/git/share/hooks/post-update.d/git-update-server-info
new file mode 100755
index 0000000..fba9845
--- /dev/null
+++ b/git/share/hooks/post-update.d/git-update-server-info
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+git update-server-info
diff --git a/git/share/hooks/post-update.d/irker-notification b/git/share/hooks/post-update.d/irker-notification
new file mode 100755
index 0000000..212cc6c
--- /dev/null
+++ b/git/share/hooks/post-update.d/irker-notification
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$(git config --get irker.project)" ]
+then
+ exit 0
+fi
+
+echo "sending IRC notification"
+
+while read OLD NEW REFNAME
+do
+ irkerhook --refname=${REFNAME} $(git rev-list --reverse ${OLD}..${NEW})
+done